# $Revision: 1.13 $, $Date: 2002/09/22 10:56:44 $
Summary:	passive OS fingerprinting tool
Summary(pl):	Narzdzie do pasywnej daktyloskopii systemw operacyjnych
Name:		p0f
Version:	1.8.2
Release:	1
License:	GPL
Vendor:		Michal Zalewski <lcamtuf@coredump.cx>
Group:		Applications/Networking
Source0:	http://www.stearns.org/p0f/%{name}-%{version}.tgz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://www.stearns.org/p0f/
Prereq:		/sbin/chkconfig
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
p0f performs passive OS fingerprinting technique based on information
coming from remote host when it establishes connection to our system.
Captured packets contains enough information to determine OS - and,
unlike active scanners (nmap, queSO) - it is done without sending
anything to this host.

%description -l pl
p0f przeprowadza pasywn daktyloskopi systemu operacyjnego bazujc na
informacjach, ktre wysya zdalny system kiedy ustanawia poczenie z
naszym. Wyapane pakiety zawieraj wystarczajco duo informacji by
okreli system operacyjny - i, w przeciwiestwie do aktywnych
skanerw (nmap, queSO) - jest to robione bez wysyania czegokolwiek do
tego hosta.

%prep
%setup -q

%build
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/sysconfig,%{_sbindir},%{_mandir}/man1,%{_bindir}}

install p0f.fp $RPM_BUILD_ROOT%{_sysconfdir}
install p0f $RPM_BUILD_ROOT%{_sbindir}
install p0frep $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/p0f
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/p0f
install p0f.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/p0f ]; then
	touch /var/log/p0f
	chown root.root /var/log/p0f
	chmod 600 /var/log/p0f
fi
/sbin/chkconfig --add p0f
if [ -f /var/lock/subsys/p0f ]; then
	/etc/rc.d/init.d/p0f restart >&2
else
	echo "Run \"/etc/rc.d/init.d/p0f start\" to start p0f daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/p0f ]; then
		/etc/rc.d/init.d/p0f stop >&2
	fi
	/sbin/chkconfig --del p0f
fi

%files
%defattr(644,root,root,755)
%doc README CREDITS ChangeLog
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/p0f.fp
%attr(754,root,root) /etc/rc.d/init.d/p0f
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/p0f
%attr(755,root,root) %{_sbindir}/p0f
%attr(755,root,root) %{_bindir}/p0frep
%attr(644,root,root) %{_mandir}/man1/p0f.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: p0f.spec,v $
Revision 1.13  2002/09/22 10:56:44  mmazur
- updated to 1.8.2; rel1; STBR

Revision 1.12  2002/08/19 01:50:21  grzegorz
- added %config(noreplace) %verify(not size mtime md5) to /etc/sysconfig/p0f

Revision 1.11  2002/08/18 19:18:25  grzegorz
- added /etc/sysconfig/p0f with interface chosing support
- rel 3 STBR

Revision 1.10  2002/08/16 21:11:04  kloczek
- standarize %post/%preun scripts.

Revision 1.9  2002/08/16 00:49:23  grzegorz
- PLD style init
- new %doc
- rel 2

Revision 1.8  2002/08/15 10:20:00  grzegorz
- ups :)

Revision 1.6  2002/03/20 16:14:02  jojoro

Typo fix

Revision 1.5  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/31 13:01:54  qboosh
pl descriptions, some pldifications

Revision 1.2  2002/01/29 21:10:19  adasi
 - spec file adapted from original spec
 - some cosmetics would be welcome
 - STBR

Revision 1.1  2002/01/29 21:05:28  adasi
80d5e09a8af92634f03c629b13d07666  SOURCES/p0f-1.8.tgz
a265c4f10ddb9c01c3350895b93ad48d  SOURCES/p0f.init
560a9a2afd14866e71303f97e08c3f0b  SPECS/p0f.spec
